<template>
  <h1>Logout...</h1>
</template>

<script>
import { onMounted } from 'vue';
import { useStore } from 'vuex';
import { useRouter } from 'vue-router';

export default {
  name: 'Logout',
  setup() {
    const router = useRouter();
    const { dispatch } = useStore();

    onMounted(async () => {
      await dispatch('auth/doLogout');
      setTimeout(() => {
        router.push({ name: 'Login' });
      }, 600);
    });

    return {
      onMounted,
    };
  },
};
</script>
